### Signal

# Clapper Player::warning

#### Declaration

    void
    warning (
      ClapperPlayer* self,
      GError* error,
      gchar* debug_info,
      gpointer user_data
    )

#### Description [src]

These are some usually more minor error messages that should be treated like warnings. Should not generally prevent/stop playback.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal emission will restart instead of recursing
Hooks are disabled for this signal

#### Parameters

`error`

  Type: `GError`

  A `GError`.

  The data is owned by the caller of the function.

`debug_info`

  Type: `gchar*`

  An additional debug message.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.